# Automated Nginx reverse Proxy for Docker Webservices

## Requirements

1. installed nginx
2. adapted nginx configuration to include the directory of the generated config files
3. docker daemon must be configured to listen to TCP port
4. Executing user must be able to send HUG signals to ngix master process

## How it works
1. Creates a directory in */tmp* for the generated config files
2. Attaches to the stream of events from the Docker daemon
3. On every event, it scans all container for avaiable environment variable *PROXY_DATA*